summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavid Kalnischkies <kalnischkies@gmail.com>2012-03-22 13:42:59 +0100
committerDavid Kalnischkies <kalnischkies@gmail.com>2012-03-22 13:42:59 +0100
commitb058a788c4f976ea98e20b853853929f47d4bc3e (patch)
tree14ec13376a6a4f86dd4e60eb114fc3f5c99d978b
parent9c257550854273ff6defb1816cb210d51f64db03 (diff)
use the variables as the rest of the tests to avoid escapes in the output
-rwxr-xr-xtest/libapt/run-tests4
1 files changed, 2 insertions, 2 deletions
diff --git a/test/libapt/run-tests b/test/libapt/run-tests
index d4341412d..4ea9a916d 100755
--- a/test/libapt/run-tests
+++ b/test/libapt/run-tests
@@ -68,8 +68,8 @@ do
"${tmppath}/ftp.de.debian.org_debian_dists_sid_main_i18n_Translation-ast_DE"
elif [ $name = "HashSums${EXT}" ]; then
TMP="$(readlink -f "./${0}")"
- echo -n "Testing with \033[1;35m${name}\033[0m ... "
- LD_LIBRARY_PATH=${LDPATH} ${testapp} $TMP $(md5sum $TMP | cut -d' ' -f 1) $(sha1sum $TMP | cut -d' ' -f 1) $(sha256sum $TMP | cut -d' ' -f 1) $(sha512sum $TMP | cut -d' ' -f 1) && echo "\033[1;32mOKAY\033[0m" || echo "\033[1;31mFAILED\033[0m"
+ echo -n "Testing with ${NAME} "
+ LD_LIBRARY_PATH=${LDPATH} ${testapp} $TMP $(md5sum $TMP | cut -d' ' -f 1) $(sha1sum $TMP | cut -d' ' -f 1) $(sha256sum $TMP | cut -d' ' -f 1) $(sha512sum $TMP | cut -d' ' -f 1) && echo "$TESTOKAY" || echo "$TESTFAIL"
continue
elif [ $name = "CompareVersion${EXT}" ]; then
tmppath="${DIR}/versions.lst"